HanMacWrdKGraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::SubDocument:

## Public Types

enum | Type { Picture , FrameInFrame , Group , Text , UnformattedTable , EmptyPicture }
| the document type More...

## Public Member Functions

| SubDocument (HanMacWrdKGraph &pars, MWAWInputStreamPtr const &input, Type type, long id, long subId=0)
| constructor
| SubDocument (HanMacWrdKGraph &pars, MWAWInputStreamPtr const &input, MWAWPosition const &pos, Type type, long id, long subId=0)
| constructor
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes

HanMacWrdKGraph * | m_graphParser
| the graph parser
Type | m_type
| the zone type
long | m_id
| the zone id
long | m_subId
| the zone subId ( for table cell )
MWAWPosition | m_pos
| the position in a frame
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Private Member Functions

| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a HanMacWrdKGraph.

## Member Enumeration Documentation

## Type

enum HanMacWrdKGraphInternal::SubDocument::Type

the document type

Enumerator
Picture |
FrameInFrame |
Group |
Text |
UnformattedTable |
EmptyPicture |

## Constructor & Destructor Documentation

## SubDocument() [1/3]

HanMacWrdKGraphInternal::SubDocument::SubDocument | ( | HanMacWrdKGraph & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | Type | type,
|  | long | id,
|  | long | subId = 0 )

inline

constructor

Referenced by operator!=(), operator=(), and SubDocument().

## SubDocument() [2/3]

HanMacWrdKGraphInternal::SubDocument::SubDocument | ( | HanMacWrdKGraph & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | MWAWPosition const & | pos,
|  | Type | type,
|  | long | id,
|  | long | subId = 0 )

inline

constructor

## ~SubDocument()

HanMacWrdKGraphInternal::SubDocument::~SubDocument | ( |  | ) |

inline final

destructor

## SubDocument() [3/3]

HanMacWrdKGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |

private delete

## Member Function Documentation

## operator!=()

bool HanMacWrdKGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const

final virtual

operator!=

Reimplemented from MWAWSubDocument.

## operator=()

SubDocument & HanMacWrdKGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |

private delete

## parse()

void HanMacWrdKGraphInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )

final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## m_graphParser

HanMacWrdKGraph* HanMacWrdKGraphInternal::SubDocument::m_graphParser

protected

the graph parser

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_id

long HanMacWrdKGraphInternal::SubDocument::m_id

protected

the zone id

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_pos

MWAWPosition HanMacWrdKGraphInternal::SubDocument::m_pos

protected

the position in a frame

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_subId

long HanMacWrdKGraphInternal::SubDocument::m_subId

protected

the zone subId ( for table cell )

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_type

Type HanMacWrdKGraphInternal::SubDocument::m_type

protected

the zone type

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

The documentation for this class was generated from the following file:

- HanMacWrdKGraph.cxx